Contact us


All times are UTC - 8 hours



   [ 2 posts ] 
Author Message
   


Joined: Thu Feb 05, 2015 6:52 am
Posts: 1
Hi,

We upgraded our application from Dynamic Web TWAIN 9.2 to version 10.1.0. We had previously deployed DynamicWebTWAINPlugIn.msi to our users via group policy and have done the same with the new version. We are seeing a couple of problems with Chrome 40 which may be related to each other, and are very similar to those reported in this thread:
websocket-connection-error-in-version-10-0-t5700.html

The first problem is that upon loading Web TWAIN, a message is appearing ('Dynamic Web TWAIN is not installed') offering a 'Download & Install Plug-in' button which links to DynamicWebTWAINHTML5Edition.exe. This file didn't exist in version 9.2. Our users can't install it as they don't have administration rights.

1) Is this the expected behaviour for Chrome 40 when DynamicWebTWAINPlugIn.msi has already been installed?
2) Is an .msi version of DynamicWebTWAINHTML5Edition.exe available which we could deploy via group policy?
3) If we deploy DynamicWebTWAINHTML5Edition.exe to our users, do we still need to deploy DynamicWebTWAINPlugIn.msi?

The second problem may be related to the missing HTML5 Edition component... In the console also at the point Web TWAIN is being loaded, I see the following errors on an end user machine. I do not see these errors on a machine where I had admin rights and had installed the full SDK:

Code:
WebSocket connection to 'wss://localhost:18619' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED
WebSocket connection to 'wss://localhost:5492' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED
WebSocket connection to 'wss://localhost:6679' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED
WebSocket connection to 'wss://localhost:8992' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED

(repeats - each line appears approximately 2 seconds after the previous line)

Unlike devmsaleh, we are not using a web proxy, so there's nothing I can set to bypass. I can't see any Chrome settings about permissions to open a websocket. Anecdotally, I have not seen these console errors on a machine where the logged in user has administrator privileges even when DynamicWebTWAINHTML5Edition.exe is not installed. However, I don't know for certain that there's a link.

4) Are these console errors likely to be caused by DynamicWebTWAINHTML5Edition.exe not having been installed yet or the lack of privileges (or both/neither)?
5) I don't think I understand the suggestion Catherine gave devmsaleh about DWObject.HTTPPort and DWObject.IfSSL and I can't find an explanation in the API documentation. Our application is hosted at an https:// url. Are these two settings required when we do so? Or do these settings this force Web TWAIN to use HTTPS rather than websockets?

Many thanks,
--Tim


User avatar
   


Joined: Tue Mar 08, 2005 12:23 am
Posts: 1706
Hello Chart,

Sorry for missing the post and my late reply.

We do have MSI installer for Dynamic Web TWAIN html5 edition. Please contact our support team via email (support@dynamsoft.com), indicating which version you are using, full or trial. We will send you the msi installer.

As for the Websockets connections error, it's a known issue in the old version, which should be fixed in the latest version. Please give the latest version a try.

If the issue persists, please feel free to contact us via livechat or email.

Regards,

_________________
Vincy
Dynamsoft Support Team
Follow us@Twitter, Facebook


Display posts from previous:  Sort by  
   [ 2 posts ] 


Who is online

Users browsing this forum: kelleyxp3, WillieCam and 0 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
cron
Copyright © 2018 Dynamsoft | All Rights Reserved
dynamic designed by Dynamsoft team
Fatal: Not able to open ./cache/data_global.php